answers.com sends desktop site to Firefox OS

RESOLVED FIXED

Status

RESOLVED FIXED
5 years ago
3 years ago

People

(Reporter: hsteen, Assigned: karlcow)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [serversniff] [country-all] [sitewait], URL)

Attachments

(1 attachment)

Created attachment 8362097 [details]
139.png

Compare the responses to the following HTTP requests, notice the different content-length:

GET / HTTP/1.1
Host: www.answers.com
User-Agent: Mozilla/5.0 (Mobile; rv:23.0) Gecko/23.0 Firefox/23.0
Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
Accept-Language: en-US,en;q=0.5
Accept-Encoding: gzip, deflate
Connection: keep-alive

HTTP/1.1 200 OK
Server: Apache
Set-Cookie: wab_test=wab%3Dt8308; path=/; domain=.answers.com
Set-Cookie: acache=1d46a17ec16c2eda055a90f771b9e1ff198e6868
Set-Cookie: PHPSESSID=rjjf7r6tpg28o586i3trhcfr61; path=/; domain=.answers.com
Pragma: no-cache
Set-Cookie: uvx=NTTO7iPVvqcPfhYM2mO-eqK3EJ7p1LPkCUTxWw7mwoKBeVcj00c-bwWvHnkJk5sI65dLTB_hjb15yqrzQtUISkYhxlQO-o-kf_in1Ri2_CHOcsANvX5k89vGvBGhIqvaD2BgrzXjYJOB8ZM44-LhR9KSMBYXqgLeYEENLOWsxn5Eble1QxvJLGeY8LxPtnzTH4Bj9AdZQHzX_rYpwmUw7b4CTEiWPaQLH4pwjPOr-md8j6Mr45xQnasoZwBdSfN83QxsFl1X1Wt1Pn-aDBqzVTJkl49MSOoMrtKa9byk917LkgYMml40Yrj4cUl4JB29px_QyzNuXB1s7BWyzsphDyYOFYLE0My8I5y1U6wmBJg%2A; expires=Wed, 17-Jan-2024 00:00:00 GMT; path=/
Set-Cookie: mode_id=16101; path=/; domain=.answers.com
Set-Cookie: adc=NJ1; path=/;
Vary: Accept-Encoding
Content-Type: text/html; charset=utf-8
Content-Length: 133132
Date: Fri, 17 Jan 2014 13:36:21 GMT
X-Varnish: 964434940
Age: 0
Via: 1.1 varnish
Connection: keep-alive
Expires: Tue, 16 Jan 2001 00:00:00 GMT
Cache-Control: private, must-revalidate, s-maxage=0, max-age=0

------------------------------------------------------------------
GET / HTTP/1.1
Host: www.answers.com
User-Agent: Mozilla/5.0 (iPhone; U; CPU like Mac OS X; en) AppleWebKit/420+ (KHTML, like Gecko) Version/3.0 Mobile/1A543a Safari/419.3
Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
Accept-Language: en-US,en;q=0.5
Accept-Encoding: gzip, deflate
Connection: keep-alive

HTTP/1.1 200 OK
Server: Apache
Set-Cookie: wab_test=wab%3Dt8308; path=/; domain=.answers.com
Set-Cookie: acache=1d46a17ec16c2eda055a90f771b9e1ff198e6868
Set-Cookie: PHPSESSID=o1rehqbthf8q6bc84c9ikd4l61; path=/; domain=.answers.com
Pragma: no-cache
Set-Cookie: uvx=NTTO7iPVvqcPfhYM2mO-eq7Me4kR_lmZv5gSHwqAHcTsHByJtw6msK-s85Nb5hYTFmZDJaSF6cwOzF8yd2dvZ0YhxlQO-o-kf_in1Ri2_CHOcsANvX5k89vGvBGhIqvaD2BgrzXjYJMOvDvuy7U3fNKSMBYXqgLeYEENLOWsxn5Eble1QxvJLGeY8LxPtnzTH4Bj9AdZQHxKwZ52T2UeC74CTEiWPaQLH4pwjPOr-md8j6Mr45xQnasoZwBdSfN83QxsFl1X1Wt1Pn-aDBqzVTJkl49MSOoMrtKa9byk917LkgYMml40YkieeTfQ2uIKpx_QyzNuXB1s7BWyzsphDyYOFYLE0My8I5y1U6wmBJg%2A; expires=Wed, 17-Jan-2024 00:00:00 GMT; path=/
Set-Cookie: ui_trainer_cookie=hide; expires=Fri, 17-Jan-2014 13:37:28 GMT
Set-Cookie: adc=NJ1; path=/;
Vary: Accept-Encoding
Content-Type: text/html; charset=utf-8
Content-Length: 97990
Date: Fri, 17 Jan 2014 13:36:28 GMT
X-Varnish: 964435818
Age: 0
Via: 1.1 varnish
Connection: keep-alive
Expires: Tue, 16 Jan 2001 00:00:00 GMT
Cache-Control: private, must-revalidate, s-maxage=0, max-age=0

------------------------------------------------------------------
(Assignee)

Updated

5 years ago
Whiteboard: [serversniff] [country-za] [contactready] → [serversniff] [country-all] [contactready]
(Assignee)

Comment 1

5 years ago
contacttwitter
Contact form http://wiki.answers.com/page/contact_us
Not replying to people on twitter account https://twitter.com/answersdotcom
The company is in USA and is offering multiple languages.
Developers seem to be in St Louis, MO, United States according to http://wiki.answers.com/page/careers
Confirmed by http://www.linkedin.com/pub/derek-yeager/50/b33/b21
(Assignee)

Comment 2

5 years ago
contactform
Contacted using the online form.
Assignee: nobody → kdubost
Status: NEW → ASSIGNED
Whiteboard: [serversniff] [country-all] [contactready] → [serversniff] [country-all] [sitewait]
(Reporter)

Comment 3

5 years ago
Hm.. the main page is now redesigned, much simplified and pretty responsive. However, the browsers recognised as "smartphones" (well, touch) still get a different experience..
(Reporter)

Comment 4

5 years ago
It's hard to know whether we should call it a day here or not. If they intend to merge the two versions, add the touch features to the adaptive one when detecting a touch device this should soon all work fine. If, on the other hand, they intend to keep a distinct touch version, we should probably nag them about getting that one. I think wait-and-see is the best strategy for now :)
(Assignee)

Comment 5

4 years ago
So far after 6 months, Firefox OS still receives the responsive version. Note that it is working quite well. The version for "touch smartphones" is having issues on firefox. 

For example background images are not being displayed.
<a style="
      background-image: url(&quot;//file.answcdn.com/answ-cld/image/upload/h_500,w_600/v1/tk/answ-images/5/3/4/4/3/3/5344337b/3a329ad32f8ca309efee556bb7d76c1a79cf2689.jpg&quot;);" 
   class="image" 
   href="http://www.answers.com/Q/What_is_a_puffer_fish" 
   data-src="//file.answcdn.com/answ-cld/image/upload/h_500,w_600/v1/tk/answ-images/5/3/4/4/3/3/5344337b/3a329ad32f8ca309efee556bb7d76c1a79cf2689.jpg">
</a>

All the scripts on touch version are made exclusively for recent versions of Android and iOS.

The other issue about the responsive site is that it is a lot heavier. 
While the touch version is sending around 400 Ko of data. The responsive is sending something like 2Mo.
(Assignee)

Comment 6

3 years ago
we receive a mobile content. The site switched to responsive design.
Status: ASSIGNED → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.